%global pypi_name myst-parser
%bcond_with     testsuite

Summary:        A commonmark compliant parser, with bridges to docutils & sphinx
Name:           python-%{pypi_name}
Version:        2.0.0
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/executablebooks/MyST-Parser
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel
%if %{with testsuite}
BuildRequires:  python3-pytest python3-beautifulsoup4 python3-docutils python3-pytest-regressions
%endif
BuildArch:      noarch

%description
A fully-functional markdown flavor and parser for Sphinx.  MyST allows you to write Sphinx
documentation entirely in markdown.  MyST markdown provides a markdown equivalent of the
reStructuredText syntax, meaning that you can do anything in MyST that you can do with
reStructuredText.  It is an attempt to have the best of both worlds: the flexibility and
extensibility of Sphinx with the simplicity and readability of Markdown.

%package -n     python3-%{pypi_name}
Summary:        A commonmark compliant parser, with bridges to docutils & sphinx

%description -n python3-%{pypi_name}
A fully-functional markdown flavor and parser for Sphinx.  MyST allows you to write Sphinx
documentation entirely in markdown.  MyST markdown provides a markdown equivalent of the
reStructuredText syntax, meaning that you can do anything in MyST that you can do with
reStructuredText.  It is an attempt to have the best of both worlds: the flexibility and
extensibility of Sphinx with the simplicity and readability of Markdown.

%prep
%autosetup -p1 -n MyST-Parser-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files myst_parser

%check
%if %{with testsuite}
%pytest -k  'not test_extended_syntaxes' \
--deselect 'tests/test_html/test_html_to_nodes.py::test_html_to_nodes' \
--deselect 'tests/test_html/test_parse_html.py::test_html_ast' \
--deselect 'tests/test_html/test_parse_html.py::test_html_round_trip' \
--deselect 'tests/test_renderers/test_error_reporting.py::test_basic' \
--deselect 'tests/test_renderers/test_fixtures_docutils.py::test_syntax_elements' \
--deselect 'tests/test_renderers/test_fixtures_docutils.py::test_docutils_roles' \
--deselect 'tests/test_renderers/test_fixtures_docutils.py::test_docutils_directives' \
--deselect 'tests/test_renderers/test_fixtures_docutils.py::test_syntax_extensions' \
--deselect 'tests/test_renderers/test_fixtures_sphinx.py::test_syntax_elements' \
--deselect 'tests/test_renderers/test_fixtures_sphinx.py::test_tables' \
--deselect 'tests/test_renderers/test_fixtures_sphinx.py::test_directive_options' \
--deselect 'tests/test_renderers/test_fixtures_sphinx.py::test_sphinx_directives' \
--deselect 'tests/test_renderers/test_fixtures_sphinx.py::test_sphinx_roles' \
--deselect 'tests/test_renderers/test_fixtures_sphinx.py::test_dollarmath' \
--deselect 'tests/test_renderers/test_fixtures_sphinx.py::test_amsmath' \
--deselect 'tests/test_renderers/test_fixtures_sphinx.py::test_containers' \
--deselect 'tests/test_renderers/test_fixtures_sphinx.py::test_evalrst_elements' \
--deselect 'tests/test_renderers/test_fixtures_sphinx.py::test_definition_lists' \
--deselect 'tests/test_renderers/test_include_directive.py::test_render' \
--deselect 'tests/test_renderers/test_include_directive.py::test_errors' \
--deselect 'tests/test_renderers/test_myst_config.py::test_cmdline'
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/myst-anchors
%{_bindir}/myst-docutils-*
%{_bindir}/myst-inv

%changelog
* Fri Sep 22 2023 Miaojun Dong <zoedong@tencent.com> - 2.0.0-1
- Bump version to 2.0.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 17 2023 Shuo Wang <abushwang@tencent.com> - 0.17.0-1
- initial build
